
package de.ivu.elect.business.stimmeingabe.entity;

import javax.inject.Inject;

import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.jee.faces.Messages;

public abstract class AbstractStimmeingabeStimmenMeta implements Meta {

  private static final long serialVersionUID = 1L;

  @Inject
  private Messages messages;

  public AbstractStimmeingabeStimmenMeta() {
    super();
  }

  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage() {
    return getMessage(getMehrzahlMessageKey());
  }


  public abstract String getKennungEinzahlMessageKey();

  public abstract String getKennungMehrzahlMessageKey();


  public String getKennungEinzahlMessage() {
    return getMessage(getKennungEinzahlMessageKey());
  }

  public String getKennungMehrzahlMessage() {
    return getMessage(getKennungMehrzahlMessageKey());
  }


  public abstract String getBezeichnungEinzahlMessageKey();

  public abstract String getBezeichnungMehrzahlMessageKey();


  public String getBezeichnungEinzahlMessage() {
    return getMessage(getBezeichnungEinzahlMessageKey());
  }

  public String getBezeichnungMehrzahlMessage() {
    return getMessage(getBezeichnungMehrzahlMessageKey());
  }


  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }
}
